<?php

class p_getuser extends cmsPlugin {

// ==================================================================== //

    public function __construct(){

        parent::__construct();

        //   

        $this->info['plugin']           = 'p_getuser';
        $this->info['title']            = '  ';
        $this->info['description']      = '  ';
        $this->info['author']           = 'RoViX';
        $this->info['version']          = '1.1';

        //  -
        $this->config[' '] = 10;

        // ,    

        $this->events[]                 = 'GET_USER';

    }

// ==================================================================== //

    /**
     *   
     * @return bool
     */
    public function install(){
		global $inDB;
		$sql="CREATE TABLE IF NOT EXISTS `cms_user_profile_visitor` (
			`user_id` int(11) NOT NULL,
			`visitor_id` int(11) NOT NULL,
			`visitdate` datetime NOT NULL default '0000-00-00 00:00:00',
			INDEX ( `user_id` , `visitor_id` )
			)ENGINE=MyISAM DEFAULT CHARSET=cp1251";
		$inDB->query($sql);

		return parent::install();
    }

// ==================================================================== //

    /**
     *   
     * @return bool
     */
    public function upgrade(){

        return parent::upgrade();

    }

// ==================================================================== //

    /**
     *  
     * @param string $event
     * @param array $user
     * @return html
     */
public function execute($event, $user){

	parent::execute();

	$user_id    = $user['id'];
	$inCore = cmsCore::getInstance();
	$inDB = cmsDatabase::getInstance();
	if ( cmsUserId() > 0 ) {
		if($event == 'GET_USER'){
			$visittime = isset($this->config[' ']) ? $this->config[' '] : 10;
			$visitor_id=cmsUserId();
	
			if ( $visitor_id <> $user_id ) {
				$today = getdate();
	
				$sql = "SELECT visitdate FROM cms_user_profile_visitor WHERE (user_id = '$user_id' AND visitor_id = '$visitor_id') ORDER by visitdate DESC LIMIT 1";
				$result     = $inDB->query($sql);
				if ( $inDB->num_rows($result) ){
					$last_date  = $inDB->fetch_assoc($result);
					$today_now  = $today['minutes'] + $today['hours'] * 100 + $today['mday'] * 10000 + $today['mon'] * 1000000 + $today['year'] * 100000000;
					$lastdate   = substr($last_date['visitdate'], 0, 4) * 100000000 + substr($last_date['visitdate'], 5, 2) * 1000000 + substr($last_date['visitdate'], 8, 2) * 10000 + substr($last_date['visitdate'], 11, 2) * 100 + substr($last_date['visitdate'], 14, 2);
					$delta = $today_now - $lastdate;
	
					//      
					if ( $delta > $visittime ) {
						$sql = "INSERT INTO cms_user_profile_visitor (user_id, visitor_id, visitdate) VALUES ($user_id, $visitor_id, NOW())";
						$inDB->query($sql);
					}
				}else{
					$sql = "INSERT INTO cms_user_profile_visitor (user_id, visitor_id, visitdate) VALUES ($user_id, $visitor_id, NOW())";
					$inDB->query($sql);
				}
			}
		}
	}
	return $user;
}

// ==================================================================== //

}

?>
